Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02728 Crash/Freeze Critical (emulation) Always Dec 9, 2008, 13:40 Dec 15, 2008, 01:42
Tester MAMEBase View Status Public Platform SDLMAME
Assigned To R. Belmont Resolution Fixed OS MacOS X
Status [?] Resolved Driver galpani3.cpp
Version 0.128u5 Fixed in Version 0.128u6 Build PowerPC
Summary 02728: galpani3: 'Illegal Instruction' after ROM Check
Description Game runs through ROM Check at startup, returns with "Illegal Instruction" message, and cycles through ROM Check again, only to once again display "Illegal Instruction", and begin the cycle again...
Steps To Reproduce Start the game.
Additional Information I realize this driver is still work in progress, but shouldn't it get further than this?
Flags
Regression Version
Affected Sets / Systems galpani3
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.03258
Tafoid
Administrator
Dec 9, 2008, 14:02
This would appear to be SDLMAME specific. I cannot duplicate in mainline windows source binary. Can anyone else with SDLMAME confirm this?


.
User avatar
No.03261
Haze
Senior Tester
Dec 9, 2008, 15:23
more likely PowerPC specific, chances are the protection handling code isn't endian safe (they can specify byte offsets and lengths into 68k ram)

I imagine Jackie Chan and Blood Warriors will do pretty much the same thing on PPC. Somebody with such a system can probably fix it easily.
User avatar
No.03264
MAMEBase
Tester
Dec 9, 2008, 19:50
I hadn't gotten around to Jackie Chan just yet...

FWIW, Both Jackie Chan sets (jchan, jchan2) fail the final ROM checks, and start over (just like galpani3).

Blood Warriors (bloodwar) will reset itself after a few seconds, although the game appears to start.

Shall I report these as separate bugs, or will this report suffice?
User avatar
No.03266
Haze
Senior Tester
Dec 9, 2008, 21:04
No, it's the same thing

the code in toxboy_handle_04_subcommand isn't endian safe, the code in decrypt_toybox_rom might not be either. (machine/kaneko16.c)

it's the same bug caused by the same code in all cases.
User avatar
No.03267
Haze
Senior Tester
Dec 9, 2008, 22:19
direction needed? I'm confirming the bug, but somebody with a PPC based system is in a better position to fix/test it than me.
User avatar
No.03278
R. Belmont
Developer
Dec 11, 2008, 18:53
I have a PPC system, I can look at it.